from ui.editor import Editor


class Print_Step_Editor(Editor):
    def __init__(self, action=None, cell_widget=None):
        super().__init__(action=action, cell_widget=cell_widget)
        self.spec.update({
            "template": self.label_template_cb,
            "labeltxt_1": self.labeltxt_1,
            "labeltxt_2": self.labeltxt_2,
            "labeltxt_3": self.labeltxt_3,
            "labeltxt_4": self.labeltxt_4,
            "labeltxt_5": self.labeltxt_5,
            "extra_label": self.extra_label,
        })
